Open CASCADE Technology: TDF_IDList Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TDF_IDList Class Reference

`#include <TDF_IDList.hxx>`

## Public Member Functions
| TDF_IDList ()
| TDF_IDList (const TDF_IDList &Other)
void | Assign (const TDF_IDList &Other)
void | operator= (const TDF_IDList &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~TDF_IDList ()
Standard_Boolean | IsEmpty () const
void | Prepend (const Standard_GUID &I)
void | Prepend (const Standard_GUID &I, TDF_ListIteratorOfIDList &theIt)
void | Prepend (TDF_IDList &Other)
void | Append (const Standard_GUID &I)
void | Append (const Standard_GUID &I, TDF_ListIteratorOfIDList &theIt)
void | Append (TDF_IDList &Other)
Standard_GUID & | First () const
Standard_GUID & | Last () const
void | RemoveFirst ()
void | Remove (TDF_ListIteratorOfIDList &It)
void | InsertBefore (const Standard_GUID &I, TDF_ListIteratorOfIDList &It)
void | InsertBefore (TDF_IDList &Other, TDF_ListIteratorOfIDList &It)
void | InsertAfter (const Standard_GUID &I, TDF_ListIteratorOfIDList &It)
void | InsertAfter (TDF_IDList &Other, TDF_ListIteratorOfIDList &It)

## Constructor & Destructor Documentation

TDF_IDList::TDF_IDList | ( |  | ) |

TDF_IDList::TDF_IDList | ( | const TDF_IDList & | Other | ) |

TDF_IDList::~TDF_IDList | ( |  | ) |
| inline

## Member Function Documentation

void TDF_IDList::Append | ( | const Standard_GUID & | I | ) |

void TDF_IDList::Append | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | theIt
| ) |  |

void TDF_IDList::Append | ( | TDF_IDList & | Other | ) |

void TDF_IDList::Assign | ( | const TDF_IDList & | Other | ) |

void TDF_IDList::Clear | ( |  | ) |

Standard_Integer TDF_IDList::Extent | ( |  | ) | const

Standard_GUID& TDF_IDList::First | ( |  | ) | const

void TDF_IDList::InsertAfter | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | It
| ) |  |

void TDF_IDList::InsertAfter | ( | TDF_IDList & | Other,
|  | TDF_ListIteratorOfIDList & | It
| ) |  |

void TDF_IDList::InsertBefore | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | It
| ) |  |

void TDF_IDList::InsertBefore | ( | TDF_IDList & | Other,
|  | TDF_ListIteratorOfIDList & | It
| ) |  |

Standard_Boolean TDF_IDList::IsEmpty | ( |  | ) | const

Standard_GUID& TDF_IDList::Last | ( |  | ) | const

void TDF_IDList::operator= | ( | const TDF_IDList & | Other | ) |
| inline

void TDF_IDList::Prepend | ( | const Standard_GUID & | I | ) |

void TDF_IDList::Prepend | ( | const Standard_GUID & | I,
|  | TDF_ListIteratorOfIDList & | theIt
| ) |  |

void TDF_IDList::Prepend | ( | TDF_IDList & | Other | ) |

void TDF_IDList::Remove | ( | TDF_ListIteratorOfIDList & | It | ) |

void TDF_IDList::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- TDF_IDList.hxx